#! /usr/bin/python3

import dbus

class License_dbusInterface:

    def __init__(self):
        dbus_name = "com.nfs.license" 
        dbus_path = "/com/nfs/license/Info"
        dbus_iface = "com.nfs.license.Info"

        system_bus = dbus.SystemBus()
        remote_obj = system_bus.get_object(dbus_name, dbus_path)
        self.iface = dbus.Interface(remote_obj, dbus_iface)

    def getLicenseState(self):
        return self.iface.GetLicenseState("os")

    def showLicenseActivator(self):
        return self.iface.ShowLicenseActivator("os", "方德桌面操作系统", "5.0")